Package org.apache.cxf.resource

# Class ClasspathResolver

java.lang.Object
org.apache.cxf.resource.ClasspathResolver

All Implemented Interfaces:
  `ResourceResolver`

public class ClasspathResolver extends Object implements ResourceResolver
Resolve resources from the system class path.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClasspathResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `getAsStream(String name)`
  Resolve a resource given its name and return an InputStream to it.
  `<T> T`
  `resolve(String resourceName, Class<T> resourceType)`
  Resolve a resource given its name and type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClasspathResolver

    public ClasspathResolver()

- ## Method Details

  - ### resolve

    public <T> T resolve(String resourceName, Class<T> resourceType)
    Description copied from interface: `ResourceResolver`
    Resolve a resource given its name and type.
    Specified by:
      `resolve` in interface `ResourceResolver`
    Parameters:
      `resourceName` - name of the resource to resolve.
      `resourceType` - type of the resource to resolve.
    Returns:
      an instance of the resource or `null` if the resource cannot be resolved.

  - ### getAsStream

    public InputStream getAsStream(String name)
    Description copied from interface: `ResourceResolver`
    Resolve a resource given its name and return an InputStream to it.
    Specified by:
      `getAsStream` in interface `ResourceResolver`
    Parameters:
      `name` - name of the resource to resolve.
    Returns:
      an InputStream for the resource or null if it could not be found.